import { useMount } from "ahooks";
import "./App.css";
import ThreeStore from "./threeStore.ts";
import { CONTAINER_ID } from "./constants.ts";
function App() {
  useMount(() => {
    console.log("mount");
    const threeStore = new ThreeStore();
    threeStore.init({
      domElement: document.getElementById(CONTAINER_ID)!,
    });
    threeStore.addOBJModel({
      url: '/Hull_panel.obj'
    })
    threeStore.addAxesHelper();
    threeStore.addDirectionalLight();
    threeStore.addHDR({
      url: '/room.hdr'
    })
    threeStore.addViewHelper();
  });
  return <div className="app w-screen h-screen" id={CONTAINER_ID}></div>;
}

export default App;
